Skip to main content
`Ctrl`+`K`

# TaoBNCGSetType

Set the type for the `TAOBNCG` solver

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBNCGSetType(Tao tao, TaoBNCGType type)

## Input Parameters

- tao - the `Tao` solver context

- type - `TAOBNCG` type

## See Also

`Tao`, `TAOBNCG`, `TaoBNCGGetType()`, `TaoBNCGType`

## Level

advanced

## Location

src/tao/bound/impls/bncg/bncg.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages